Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362443 - When one label name has more than 7 suggested values, all the suggested values are shown partially in the filter box
Summary: When one label name has more than 7 suggested values, all the suggested value...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Goodwin
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 08:25 UTC by Yanping Zhang
Modified: 2016-09-19 13:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:55:02 UTC


Attachments (Terms of Use)
7-suggested-values (deleted)
2016-08-02 08:27 UTC, Yanping Zhang
no flags Details
8-suggested-values (deleted)
2016-08-02 08:28 UTC, Yanping Zhang
no flags Details

Description Yanping Zhang 2016-08-02 08:25:03 UTC
Description of problem:
Create resources in project, make resource of the same type has the same label name but different values. ex, 8 pods have same label name "podno", but different values. Then on pods page filter with "podno", click "in", the suggested values are shown partially, it's hard for user to choose the wanted one.

Version-Release number of selected component (if applicable):
openshift v1.3.0-alpha.2+b26dd1e
kubernetes v1.3.0+57fb9ac
etcd 2.3.0+git

How reproducible:
Always

Steps to Reproduce:
1.Create an app from ruby image on web console in project, start build for 7 times(7 builds are triggered). All the building pod will have a lable "openshift.io/build.name" with different values automatically.
2.Filter on pods page. Input "openshift.io/build.name" and click "in", check the suggested values.

3.Trigger the 8th build.
4.Filter on pods page. Input "openshift.io/build.name" and click "in", check the suggested values again.

Actual results:
2.Could show all the suggested values completely.
3.All the values are shown partially, it's hard to choose the expected one. Refer to attachments.

Expected results:
3.Should be able to show value completely.

Additional info:
zoomed in 150% in firefox window and zoomed in 300% in chrome window will show the complete value, so suggest to add a bottom bar, let user drag to view the full value

Comment 1 Yanping Zhang 2016-08-02 08:27:42 UTC
Created attachment 1186705 [details]
7-suggested-values

Comment 2 Yanping Zhang 2016-08-02 08:28:18 UTC
Created attachment 1186706 [details]
8-suggested-values

Comment 3 Jessica Forrester 2016-08-02 12:53:02 UTC
Steve when the scrollbar appears after 7 values it obfuscates the content, if I remember right you were setting the dropdown width automatically somehow, seems like it needs to take into account the scrollbar width as well.

Comment 4 openshift-github-bot 2016-08-02 20:33:00 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/2578940ca8cb1e2d67b75c104ecfc4e1abca14d8
Merge pull request #261 from sg00dwin/filter-label-bug1362443

Merged by openshift-bot

Comment 5 Jessica Forrester 2016-08-02 22:39:24 UTC
fixed in https://github.com/openshift/origin/pull/10176

Comment 6 Yanping Zhang 2016-08-03 10:07:12 UTC
Well test after the pr merged.

Comment 7 Steve Goodwin 2016-08-03 14:02:58 UTC
Fixed in https://github.com/openshift/origin-web-console/pull/261

Comment 8 Yanping Zhang 2016-08-04 05:36:43 UTC
OpenShift v1.3.0-alpha.2+3da4944
Kubernetes v1.3.0+57fb9ac
Tested on devenv-rhel7_4747, when one lable name has more than 7 values, all the values can be fully displayed now.


Note You need to log in before you can comment on or make changes to this bug.